Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 182118 - add gambit-termite ebuild
Summary: add gambit-termite ebuild
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Scheme Project
URL: http://code.google.com/p/termite/
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-15 10:53 UTC by Marijn Schouten (RETIRED)
Modified: 2010-07-01 17:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marijn Schouten (RETIRED) gentoo-dev 2007-06-15 10:53:00 UTC
add gambit-termite ebuild
Comment 1 Marijn Schouten (RETIRED) gentoo-dev 2007-08-26 12:01:37 UTC
I created the following patch while working with gambit 4beta22, but it never worked. I haven't tried it with version4 or in a while (in case something changed in termite).

--- /home/marijn/cvs/gentoo-x86/dev-scheme/gambit/gambit-4.0.0.ebuild   2007-08-26 11:49:51.000000000 +0200
+++ gambit-4.0.0.ebuild 2007-08-26 13:47:38.000000000 +0200
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/dev-scheme/gambit/gambit-4.0.0.ebuild,v 1.1 2007/08/26 09:49:51 hkbst Exp $

-inherit eutils elisp-common check-reqs autotools multilib
+inherit eutils elisp-common check-reqs autotools multilib darcs

 MY_PN=gambc
 MY_PV=${PV//./_}
@@ -12,18 +12,19 @@
 HOMEPAGE="http://www.iro.umontreal.ca/~gambit/"
 SRC_URI="http://www.iro.umontreal.ca/~gambit/download/gambit/v4.0/source/${MY_P}.tgz"

-LICENSE="|| ( Apache-2.0 LGPL-2.1 )"
+EDARCS_REPOSITORY="http://toute.ca/termite"
+
+LICENSE="|| ( Apache-2.0 LGPL-2.1 ) BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc64 ~x86"

+IUSE="emacs big-iron termite"
 DEPEND="emacs? ( virtual/emacs )"

 SITEFILE="50gambit-gentoo.el"

 S=${WORKDIR}/${MY_P}

-IUSE="emacs big-iron"
-
 pkg_setup() {
        if ! use big-iron; then
                ewarn "not using gcc specific optimizations and not compiling syntax-case macro system"
@@ -51,6 +52,14 @@

 src_compile() {
        econf --enable-shared --enable-single-host $(use_enable big-iron)
+       emake bootstrap || die "emake bootstrap failed"
+
+       if use termite; then
+               TERMITE="lib/termite"
+               darcs_src_unpack && mkdir -p ${S}/${TERMITE} && mv ${WORKDIR}/${P}/* ${S}/${TERMITE}
+               pushd ${S}/lib; echo '(##include "termite/termite.scm")' >> _thread.scm; popd
+       fi
+
        emake || die "emake failed"

        if use emacs; then
Comment 2 Tomás Touceda (RETIRED) gentoo-dev 2010-07-01 17:35:13 UTC
+*termite-0.15 (01 Jul 2010)
+
+  01 Jul 2010; Tomas Touceda <chiiph@gentoo.org> +termite-0.15.ebuild,
+  +metadata.xml:
+  Termite initial commit wrt bug 182118